Детали eSIM заказа
curl --request GET \
--url https://sand.tranzor.io/api/v1/esim/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sand.tranzor.io/api/v1/esim/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sand.tranzor.io/api/v1/esim/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"orderId": "<string>",
"plan": {},
"esim": {
"iccid": "<string>",
"qrcode": "<string>",
"qrImage": "<string>",
"iosTapLink": "<string>"
},
"liveData": {
"dataLeftMb": 123,
"dataPackageMb": 123,
"dataUsedMb": 123,
"expiresAt": "<string>",
"statusQr": "<string>"
}
}
}{
"success": false,
"error": "Invalid API key"
}{
"success": false,
"error": "Invoice not found"
}eSIM
Детали eSIM заказа
Возвращает детали заказа. Используйте для polling статуса после оплаты.
Статусы:
pending— ожидает оплаты инвойсаprovisioning— оплата получена, eSIM создаётсяactive— eSIM активирован, QR-код и ICCID доступны вesimfailed— ошибка активации
Когда status = active, поле liveData содержит актуальные данные об использовании трафика.
GET
/
api
/
v1
/
esim
/
{orderId}
Детали eSIM заказа
⌘I